org.bdgenomics.adam.util

# ReferenceContigMap

#### case class ReferenceContigMap(contigMap: Map[String, Seq[NucleotideContigFragment]]) extends ReferenceFile with Product with Serializable

A broadcastable ReferenceFile backed by a map containing contig name -> Seq[NucleotideContigFragment] pairs.

contigMap

  a map containing a Seq of contig fragments per contig.

Linear Supertypes
Product, Equals, ReferenceFile, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ReferenceContigMap
2. Product
3. Equals
4. ReferenceFile
5. Serializable
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ReferenceContigMap(contigMap: Map[String, Seq[NucleotideContigFragment]])

   contigMap

     a map containing a Seq of contig fragments per contig.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val contigMap: Map[String, Seq[NucleotideContigFragment]]

   a map containing a Seq of contig fragments per contig.

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def extract(region: ReferenceRegion): String

    Extract reference sequence from the file.

    Extract reference sequence from the file.

    region

      The desired ReferenceRegion to extract.

    returns

      The reference sequence at the desired locus.

    Definition Classes
      ReferenceContigMap → ReferenceFile

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### val sequences: SequenceDictionary

    The sequence dictionary corresponding to the contigs in this collection of fragments.

    The sequence dictionary corresponding to the contigs in this collection of fragments.

    Definition Classes
      ReferenceContigMap → ReferenceFile

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from ReferenceFile

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped